Get current user positions
curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/user/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/auth/v1/user/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/auth/v1/user/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": [
{
"id": "64648e27-e093-44c3-b5a1-49154a0a1660",
"userId": "898bf847-18c5-4022-b4be-6035aa06877f",
"tenantId": "4f1cd86e-c077-4acc-b242-09478ad3ec79",
"positionsId": "d2e8b360-686c-4e2c-a788-5ca9d7fc3daa",
"autoProvisioned": true,
"instanceId": "14120202-09d5-4b50-b522-b41d0821f7d0",
"isEditable": false,
"isDeleted": true,
"deletedOn": "2025-08-19T23:46:35.207Z",
"createdOn": "2026-01-11T12:03:07.517Z",
"updatedOn": "2026-01-11T19:28:18.878Z",
"positionName": "Senior Developer",
"isSCIMProvisioned": false,
"externalId": "f143825c-798e-43bb-8f88-da1ff0d8b399"
}
]
}Users
Get current user positions
GET
/
v1
/
user
/
positions
Get current user positions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
User positions retrieved successfully
Was this page helpful?
āI